package com.ebei.screen.controller.energy;

import com.ebei.screen.common.response.ResponseBean;
import com.ebei.screen.common.response.ResponseBuilder;
import com.ebei.screen.common.util.EnergyUtils;
import com.ebei.screen.service.EnergyPlatformService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.PostConstruct;

/**
 * @author Liu.x
 * @description 能耗平台大屏
 */
@Api(tags = "能耗平台大屏")
@RestController
@RequestMapping("energy/platform")
public class EnergyPlatformController {

    @Autowired
    private EnergyPlatformService energyPlatformService;

    /**
     * 初始化数据
     */
    @PostConstruct
    public void initData() {
        energyPlatformService.initData();
    }

    @ApiOperation("获取盒子列表")
    @PostMapping("/getBoxList")
    public ResponseBean getBoxList() {
        return ResponseBuilder.ok(EnergyUtils.boxIds);
    }

    @ApiOperation("获取能耗大屏除预警外全部数据")
    @PostMapping("/getAllInOne/{boxId}")
    public ResponseBean getAllInOne(@PathVariable String boxId) {
        return energyPlatformService.getAllInOne(boxId);
    }
}
